%define debug_package %{nil}

%if 0%{?fedora} || 0%{?centos} >= 7
%global         with_python3 1
%endif

%if 0%{?centos}0%{?amzn} == 70
%define python3_pkgversion 36
%endif

Name:           certifi
Version:        2022.5.18.1
Release:        1%{?dist}
Summary:        Python package for providing Mozilla's CA Bundle

License:        MPLv2.0
#https://www.mozilla.org/MPL/2.0/
URL:            http://certifi.io/en/latest/
Source0:        https://files.pythonhosted.org/packages/source/c/%{name}/%{name}-%{version}.tar.gz

BuildArch:      noarch
 
BuildRequires:  python2-devel
BuildRequires:  python2-setuptools
Requires:       ca-certificates

%description
Certifi is a carefully curated collection of Root Certificates for validating
the trustworthiness of SSL certificates while verifying the identity of TLS
hosts. It has been extracted from the Requests project.

Please note that this Fedora package does not actually include a certificate
collection at all. It reads the system shared certificate trust collection
instead. For more details on this system, see the ca-certificates package.

%if 0%{?with_python2}
%package -n python2-%{name}
Summary:        %{sum}
%{?python_provide:%python_provide python2-%{name}}

%description -n python2-%{name}
Certifi is a carefully curated collection of Root Certificates for validating
the trustworthiness of SSL certificates while verifying the identity of TLS
hosts. It has been extracted from the Requests project.

Please note that this Fedora package does not actually include a certificate
collection at all. It reads the system shared certificate trust collection
instead. For more details on this system, see the ca-certificates package.

This package provides the Python 2 certifi library.
%endif

%if 0%{?with_python3}
%package -n python%{python3_pkgversion}-%{name}
Summary:        Python 3 package for providing Mozilla's CA Bundle
Group:          Development/Libraries
%if 0%{?centos} != 7
%{?python_provide:%python_provide python3-%{name}}
%else
Provides:	python3-%{name}
%endif
BuildRequires:  python%{python3_pkgversion}
BuildRequires:  python%{python3_pkgversion}-devel
BuildRequires:  python%{python3_pkgversion}-setuptools

%description -n python%{python3_pkgversion}-%{name}
Certifi is a carefully curated collection of Root Certificates for validating
the trustworthiness of SSL certificates while verifying the identity of TLS
hosts. It has been extracted from the Requests project.

Please note that this Fedora package does not actually include a certificate
collection at all. It reads the system shared certificate trust collection
instead. For more details on this system, see the ca-certificates package.

This package provides the Python 3 certifi library.
%endif

%prep
%setup -q -n %{name}-%{version}
# Remove bundled egg-info
rm -rf %{name}.egg-info
#rm -rf certifi/*.pem

#drop shebangs from python_sitearch
find %{_builddir}/%{name}-%{version} -name '*.py' \
    -exec sed -i '1{\@^#!/usr/bin/env python@d}' {} \;

%build
%if 0%{?with_python2}
%py2_build
%endif
%if 0%{?with_python3}
%py3_build
%endif

%install
%if 0%{?with_python2}
%py2_install
%endif
%if 0%{?with_python3}
%py3_install
%endif

%if 0%{?with_python2}
%files -n python2-%{name}
%doc README.rst
%{python2_sitelib}/%{name}
%{python2_sitelib}/%{name}-*-py?.?.egg-info
%endif

%if 0%{?with_python3}
%files -n python%{python3_pkgversion}-%{name}
%doc README.rst
%{python3_sitelib}/%{name}
%{python3_sitelib}/%{name}-*-py?.?.egg-info
%endif

%changelog
* Wed May 18 2022 Lawrence R. Rogers <lrr@cert.org> 2022.5.18.1-1
* Release 2022.5.18.1-1
	Version 2022.5.18.1

* Sun May 30 2021 Lawrence R. Rogers <lrr@cert.org> 2021.5.30-1
* Release 2021.5.30-1
	Version 2021.5.30

* Sun Dec  5 2020 Lawrence R. Rogers <lrr@cert.org> 2020.12.5-1
* Release 2020.12.5-1
	Version 2020.12.5

* Sat Jun 20 2020 Lawrence R. Rogers <lrr@cert.org> 2020.6.20-1
* Release 2020.6.20-1
	Version 2020.6.20

* Sun Jun  7 2020 Lawrence R. Rogers <lrr@cert.org> 2020.4.5.2-1
* Release 2020.4.5.2-1
	Version 2020.4.5.2

* Sun Apr  5 2020 Lawrence R. Rogers <lrr@cert.org> 2020.4.5.1-1
* Release 2020.4.5.1-1
	Version 2020.4.5.1

* Thu Nov 28 2019 Lawrence R. Rogers <lrr@cert.org> 2019.11.28-1
* Release 2019.11.28-1
	Version 2019.11.28

* Wed Sep 11 2019 Lawrence R. Rogers <lrr@cert.org> 2019.9.11-1
* Release 2019.9.11-1
	Version 2019.9.11

* Sun Jun 16 2019 Lawrence R. Rogers <lrr@cert.org> 2019.6.16-1
* Release 2019.6.16-1
	Version 2019.6.16

* Tue Apr  9 2019 Lawrence R. Rogers <lrr@cert.org> 2019.3.9-2
* Release 2019.3.9-2
        Release 2 - Rebuilt for Python 3.6 for CentOS/RHEL 7

* Sat Mar  9 2019 Lawrence R. Rogers <lrr@cert.org> 29.3.9-1
- Release 2019.3.9-1
	Version 2019.3.9

* Thu Nov 29 2018 Lawrence R. Rogers <lrr@cert.org> 28.11.29-1
- Release 2018.11.29-1
	Version 2018.11.29

* Mon Oct 15 2018 Lawrence R. Rogers <lrr@cert.org> 28.10.15-1
- Release 2018.10.15-1
	Version 2018.10.15

* Fri Aug 24 2018 Lawrence R. Rogers <lrr@cert.org> 28.8.24-1
- Release 2018.8.24-1
	Version 2018.8.24

* Thu Jan 18 2018 Lawrence R. Rogers <lrr@cert.org> 28.1.18-1
- Release 2018.1.18-1
	Version 2018.1.18

* Sat Feb 11 2017 Fedora Release Engineering <releng@fedoraproject.org> 26.9.26-2
- Rebuilt for https://fedoraproject.org/wiki/Fedora_26_Mass_Rebuild

* Wed Dec 28 2016 Adam Williamson <awilliam@redhat.com> 26.9.26-1
- New release 2016.9.26

* Mon Dec 19 2016 Miro Hrončok <mhroncok@redhat.com> 25.04.28-10
- Rebuild for Python 3.6

* Tue Jul 19 2016 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> 25.04.28-9
- https://fedoraproject.org/wiki/Changes/Automatic_Provides_for_Python_RPM_Packages

* Thu Feb 04 2016 Fedora Release Engineering <releng@fedoraproject.org> 25.04.28-8
- Rebuilt for https://fedoraproject.org/wiki/Fedora_24_Mass_Rebuild

* Tue Nov 10 2015 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> 25.04.28-7
- Rebuilt for https://fedoraproject.org/wiki/Changes/python3.5

* Wed Sep 16 2015 William Moreno Reyes <williamjmorenor at gmail.com> 25.04.28-6
- Update python macros
- Include subpackages for Python2 and Python3

* Thu Jul 09 2015 William Moreno Reyes <williamjmorenor at gmail.com> 2015.04.28-5
- rebuilt

* Wed Jul 08 2015 William Moreno Reyes  <williamjmorenor at gmail.com> 2015.04.28-4
- Initial Import of #1232433

* Mon Jul 06 2015 William Moreno Reyes <williamjmorenor at gmail.com> 2015.04.28-3
- Remove shebang

* Thu Jul 02 2015 William Moreno Reyes <williamjmorenor at gmail.com> 2015.04.28-2
- Remove bundle cacert.pem

* Tue Jun 16 2015 William Moreno Reyes <williamjmorenor at gmail.com> 2015.04.28-1
- Initial packaging
